Create Payment RequestCopy Pagepost https://gw.payracks.com/cashier/virtual-terminalRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body Paramsagent_namestringrequired≤ 32Name of the agent performing the VT login on behalf of the customer.merchant_idstringrequiredlength ≤ 50Merchant API client account identifier.application_keystringrequiredlength ≤ 32Identifier of your application (website).versionstringrequiredlength ≤ 3API version.timestampintegerrequiredRequest time (unix timestamp, seconds).currencystringrequiredlength ≤ 10Base Currency: The user's account currency on the merchant site.balanceinteger≤ 20Customer's withdrawable balance in cents. Can be used for automatic amount validation during the withdrawal request submission (send null to bypass the validation).validation_urlstringlength ≤ 256URL to which the pre-deposit validation will be sent.intentstringenumrequiredlength ≤ 32Action to be taken within the cashier. Allowed values are: authorization for authorization (hold) for the following capture. payment for payment transaction. withdrawal for withdrawal request. paymentauthorizationpaymentwithdrawalAllowed:authorizationpaymentwithdrawalcustomer_dataobjectHASH value of customer's identity. Note: Either customer_token or customer_data must be provided. If both are missing, the request will trigger a validation error.customer data objectcustomer_tokenstringlength ≤ 32HASH value of customer's identity. Note: Either customer_token or customer_data must be provided. If both are missing, the request will trigger a validation error.payment_methodstringlength ≤ 50Payment method. The gateway will override this value if provided. The gateway parameter is not applicable for Credit Card method for payouts; The predefined gateway hash value: "credit_card_cascade_gateway_0000" can be used instead of payment_method: "Credit Card" for payments. Either gateway or payment_method should be provided in case of 0-Auth and CIT transactions. gatewaystringlength ≤ 32Gateway hash For authorization,payment: hash of the gateway doing the processing. For withdrawal: hash of non-credit card gateway doing the processing. Either gateway or payment_method should be provided in case of 0-Auth and CIT transactions. amountintegerTransaction amount in cents. Note: For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.cidstringrequiredlength ≤ 50Unique customer id in your system. Note: Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.localestringenumrequiredlength ≤ 5User locale, specified as a BCP 47 Language Tag (e.g., 'en-GB'). The first component is the ISO 639-1 language code, and the second is the ISO 3166-1 country code. Note: Contact [email protected] to add new locale if not available in the list.en-GBar-SAcs-CZzh-CNzh-TWnl-NLen-GBtl-PHfi-FIfr-FRde-DEel-GRhe-ILhi-INhu-HUit-ITid-IDja-JPko-KRlt-LTms-MYpl-PLpt-PTru-RUsk-SKes-ESsv-SEth-THtr-TRvi-VNhy-AMbg-BGkh-KHda-DKet-EEka-GElv-LVnb-NOsr-RSsl-SIta-INuk-UAsq-ALShow 42 enum valuesorder_idstringrequiredlength ≤ 50Transaction or session identifier in your system.notification_urlstringrequiredlength ≤ 256URL to which the deposit status notification will be sent.return_urlstringrequiredlength ≤ 256User will be redirected to a specified URL(relevant for cashier login, virtual terminal, 3D Secure and E-Wallet login redirect).variable1stringlength ≤ 256Your custom field to tag the transaction with some necessary information.variable2stringlength ≤ 256Your custom field to tag the transaction with some necessary information.variable3stringlength ≤ 256Your custom field to tag the transaction with some necessary information.Headersgt-authenticationstringrequiredAuthentication HTTP header of your outgoing request to the API. Below request parameters should be used for creating signature in request header. merchant_id application_key timestamp intent cid order_id agent_name Responses 200OK - Successful response 400Bad request - Missing signature 403Forbidden request - IP address not whitelistedUpdated 20 days ago